pcl::device::kinfuLS::Intr Struct Reference

Camera intrinsics structure. More...

`#include </build/pcl-rK6aXX/pcl-1.12.1+dfsg/gpu/kinfu_large_scale/include/pcl/gpu/kinfu_large_scale/device.h>`

## Public Member Functions

| Intr ()
| Intr (float fx_, float fy_, float cx_, float cy_)
Intr | operator() (int level_index) const

## Public Attributes

float | fx
float | fy
float | cx
float | cy

## Friends

std::ostream & | operator<< (std::ostream &os, const Intr &intr)

## Detailed Description

Camera intrinsics structure.

Definition at line 83 of file device.h.

## Constructor & Destructor Documentation

## Intr() [1/2]

pcl::device::kinfuLS::Intr::Intr | ( |  | ) |

inline

Definition at line 86 of file device.h.

## Intr() [2/2]

pcl::device::kinfuLS::Intr::Intr | ( | float | fx_,
|  | float | fy_,
|  | float | cx_,
|  | float | cy_
| ) |  |

inline

Definition at line 87 of file device.h.

## Member Function Documentation

## operator()()

Intr pcl::device::kinfuLS::Intr::operator() | ( | int | level_index | ) | const

inline

Definition at line 89 of file device.h.

References cx, cy, fx, and fy.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const Intr & | intr
| ) |  |

friend

Definition at line 95 of file device.h.

## Member Data Documentation

## cx

float pcl::device::kinfuLS::Intr::cx

Definition at line 85 of file device.h.

Referenced by operator()().

## cy

float pcl::device::kinfuLS::Intr::cy

Definition at line 85 of file device.h.

Referenced by operator()().

## fx

float pcl::device::kinfuLS::Intr::fx

Definition at line 85 of file device.h.

Referenced by operator()().

## fy

float pcl::device::kinfuLS::Intr::fy

Definition at line 85 of file device.h.

Referenced by operator()().

The documentation for this struct was generated from the following file:

- /build/pcl-rK6aXX/pcl-1.12.1+dfsg/gpu/kinfu_large_scale/include/pcl/gpu/kinfu_large_scale/device.h